"""Setup module for settings_resolver.

See:
https://packaging.python.org/en/latest/distributing.html
"""

# Always prefer setuptools over distutils
from setuptools import setup, find_packages
# To use a consistent encoding
from codecs import open
import os

setup(
    name='settings_resolver',
    version='0.0.3',

    description='Helps manage layered settings with intra-dependencies.',
    # TODO - Create a description.rst file and read that here.
    long_description='Helps manage layered settings with intra-dependencies.',
    url='https://bitbucket.org/clouser2/settings-resolver',
    author='Brett Clouser',
    author_email='clouser2@gmail.com',
    license='Apache',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Framework :: Django',
        'License :: OSI Approved :: Apache Software License',
        'Natural Language :: English',
        'Programming Language :: Python :: 2.7',
        'Topic :: Software Development :: Libraries :: Python Modules',

    ],
    keywords='django settings development',

    packages=find_packages(exclude=[]),
    install_requires=[],

)
